SDL_isspace(3)

NAME
SDL_isspace - Report if a character is whitespace.

HEADER FILE
Defined in SDL3/SDL_stdinc.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_isspace(int x);

DESCRIPTION

WARNING : Regardless of system locale, this will only treat the following ASCII values as true:

• space (0x20)

• tab (0x09)

• newline (0x0A)

• vertical tab (0x0B)

• form feed (0x0C)

• return (0x0D)

FUNCTION PARAMETERS

x   character value to check.

RETURN VALUE
Returns non-zero if x falls within the character class, zero otherwise.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.